{% extends 'MateriasBundle::layout.html.twig' %}

{% block title %}<h1>Informaci&oacute;n de usuarios</h1>{% endblock %}

{% block content %}
    <form id="form_admin_usuario" action="{{ path('admin_user_guardar') }}" method="post">
        <input type="hidden" id="id" name="id" value="{{ usuario.id }}" />
        
        <div class="row">
            <div class="medium-2 columns">
                <label for="username">Nombre</label>
            </div>
            <div class="medium-10 columns">
                <input type="text" id="nombre" name="nombre" value="{{ usuario.getNombre }}" placeholder="Nombre" />
            </div>
        </div>
            
        <div class="row">
            <div class="medium-2 columns">
                <label for="correo">Correo</label>
            </div>
            <div class="medium-10 columns">
                <input type="email" id="correo" name="correo" value="{{ usuario.getCorreo }}" placeholder="Correo" />
            </div>
        </div>
            
        <div class="row">
            <div class="medium-2 columns">
                <label for="codigo">C&oacute;digo</label>
            </div>
            <div class="medium-10 columns">
                <input type="text" id="codigo" name="codigo" value="{{ usuario.getCodigo }}" placeholder="C&oacute;digo" />
            </div>
        </div>
        
        <div class="row">
            <div class="medium-2 columns">
                <label for="clave">Clave</label>
            </div>
            <div class="medium-10 columns">
                <input type="password" id="clave" name="clave" value="" placeholder="Clave" />
            </div>
        </div>
            
        <div class="row">
            <div class="medium-2 columns">
                <label for="tipo_usuario">Tipo usuario</label>
            </div>
            <div class="medium-10 columns">
                <select id="tipo_usuario" name="tipo_usuario">
                    {% for tipo in tipos %}
                        <option value="{{ tipo.id }}" {% if tipo.id == usuario.getNivelPermisos %}selected{% endif %} >{{ tipo.nombre }}</option>
                    {% endfor %}
                </select>
            </div>
        </div>

        <div class="row">
            <button type="submit" class="button">Guardar</button>
            <a href="{{ path('admin_user') }}" class="button alert">Regresar</a>
        </div>
    </form>
{% endblock %}